using System;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication1
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			this.RadChart1.DefaultSeriesDefinition = new SplineSeriesDefinition();
			this.RadChart1.ItemsSource = new[]
			{
					new ChartData(1,4),
 					new ChartData(4,2),
					new ChartData(6, 3),
					new ChartData(11, 15)
			};
		}
	}

	public class ChartData
	{
		public ChartData(int data1, int data2)
		{
			this.Data1 = data1;
			this.Data2 = data2;
		}

		public int Data1
		{
			get;
			set;
		}

		public int Data2
		{
			get;
			set;
		}
	}
}
